Issue #12460 has been updated by Martin Drst.

Assignee set to Martin Drst

----------------------------------------
Feature #12460: Provide Unicode Version information in a better location that UnicodeNormalize::UNICODE_VERSION
https://bugs.ruby-lang.org/issues/12460#change-59214

* Author: Martin Drst
* Status: Open
* Priority: Normal
* Assignee: Martin Drst
----------------------------------------
Currently, the Unicode version used in a specific version of Ruby is available
as ```UnicodeNormalize::UNICODE_VERSION```, ```from lib/unicode_normalize/tables.rb```.
It is rather unnatural to have to do
```require 'unicode_normalize/normalize'```
e.g. in ```test/ruby/enc/test_case_comprehensive.rb``` 

The Unicode version is also available for make, as ```$(UNICODE_VERSION)```.

The Unicode version should be available directly in Ruby, e.g. as
```RUBY_UNICODE_VERSION``` or some such.



-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>